MPD: SLES::AndroidSimpleBufferQueue Class Reference

MPD 0.20.18

Public Member Functions
SLES::AndroidSimpleBufferQueue Class Reference

OO wrapper for an OpenSL/ES SLAndroidSimpleBufferQueueItf variable. More...

`#include <AndroidSimpleBufferQueue.hxx>`

## Public Member Functions
| AndroidSimpleBufferQueue ()=default
| AndroidSimpleBufferQueue (SLAndroidSimpleBufferQueueItf _queue)
SLresult | Enqueue (const void *pBuffer, SLuint32 size)
SLresult | Clear ()
SLresult | GetState (SLAndroidSimpleBufferQueueState *pState)
SLresult | RegisterCallback (slAndroidSimpleBufferQueueCallback callback, void *pContext)

## Detailed Description

OO wrapper for an OpenSL/ES SLAndroidSimpleBufferQueueItf variable.

Definition at line 40 of file AndroidSimpleBufferQueue.hxx.

## Constructor & Destructor Documentation

## ◆ AndroidSimpleBufferQueue() [1/2]

SLES::AndroidSimpleBufferQueue::AndroidSimpleBufferQueue | ( |  | ) |
| default

## ◆ AndroidSimpleBufferQueue() [2/2]

SLES::AndroidSimpleBufferQueue::AndroidSimpleBufferQueue | ( | SLAndroidSimpleBufferQueueItf | _queue | ) |
| inlineexplicit

Definition at line 45 of file AndroidSimpleBufferQueue.hxx.

## Member Function Documentation

## ◆ Clear()

SLresult SLES::AndroidSimpleBufferQueue::Clear | ( |  | ) |
| inline

Definition at line 52 of file AndroidSimpleBufferQueue.hxx.

## ◆ Enqueue()

SLresult SLES::AndroidSimpleBufferQueue::Enqueue | ( | const void * | pBuffer,
|  | SLuint32 | size
| ) |  |
| inline

Definition at line 48 of file AndroidSimpleBufferQueue.hxx.

## ◆ GetState()

SLresult SLES::AndroidSimpleBufferQueue::GetState | ( | SLAndroidSimpleBufferQueueState * | pState | ) |
| inline

Definition at line 56 of file AndroidSimpleBufferQueue.hxx.

## ◆ RegisterCallback()

SLresult SLES::AndroidSimpleBufferQueue::RegisterCallback | ( | slAndroidSimpleBufferQueueCallback | callback,
|  | void * | pContext
| ) |  |
| inline

Definition at line 60 of file AndroidSimpleBufferQueue.hxx.

The documentation for this class was generated from the following file:

- output/plugins/sles/AndroidSimpleBufferQueue.hxx